import 'package:flutter/widgets.dart';

class StreamWidget<T> extends StreamBuilder<T> {
  StreamWidget(
    Stream<T> stream,
    Widget Function(BuildContext, T) builder, {
    T initialData,
  }) : super(
          stream: stream,
          builder: (BuildContext context, AsyncSnapshot<T> snapshot) =>
              builder(context, snapshot?.data),
          initialData: initialData,
        );
}
